Bug 1895147 - Remove memory limits on openshift-dns
Summary: Remove memory limits on openshift-dns
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.7.0
Assignee: Miciah Dashiel Butler Masters
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-05 21:40 UTC by Clayton Coleman
Modified: 2021-02-24 15:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:31:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-dns-operator pull 207 0 None closed Bug 1895147: Remove memory limit on the CoreDNS container 2021-02-05 06:48:30 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:31:54 UTC

Description Clayton Coleman 2020-11-05 21:40:30 UTC
When we removed the memory limits on all other components (and set proportional CPU and minimim floor requests) in the control plane, we must have missed DNS.

DNS should not set a memory limit because limits can be managed by the OS and crash failing (limits are just worse failing).  The memory request should already be roughly equal to the default memory usage in an idle state per node.

No need to backport unless we have evidence DNS gets excessively OOMKilled.

Comment 1 Hongan Li 2020-11-06 02:50:02 UTC
checked the cluster that launched by cluster-bot: 4.7.0-0.latest, openshift/cluster-dns-operator#207 

the memory limit has been removed from ds/dns-default

# oc -n openshift-dns get ds/dns-default -oyaml
<---snip--->
        resources:
          requests:
            cpu: 50m
            memory: 70Mi

Comment 3 Clayton Coleman 2020-11-06 16:45:27 UTC
https://github.com/openshift/enhancements/pull/529 will codify this into conventions for future teams to rely on

Comment 6 errata-xmlrpc 2021-02-24 15:31:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.